(function ($) {
    'use strict';

    $(document).ready(function () {
        jQuery(document).on( 'click', '.amp-sitemap-notice .notice-dismiss', function() {
            createCookie('amp_sitemap_admin_notice_cookie', 0, 7);
        });
        
        jQuery(document).on('click', '#amps_use_custom_settings', function(){
            var $optionsControls = jQuery('#ampSupremacyCustomOptions');
            if(jQuery(this).is(':checked')){
                $optionsControls.slideDown();
            } else {
                $optionsControls.slideUp();
            }
        })
    });
    
    function createCookie(name, value, days) {
        var date, expires;
        if (days) {
            date = new Date();
            date.setTime(date.getTime()+(days*24*60*60*1000));
            expires = "; expires="+date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = name+"="+value+expires+"; path=/";
    }

})(jQuery);
