<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


if ( ! class_exists( 'AMP_Post' ) ) {

	class AMP_Post {
        /** GENERAL ---------------------------------------------------------------------------- */
        // Save Options
        public static function saveOptions() {
            $amps = $_POST['amps'];
            if (!is_array($amps)) wp_die('Invalid data received.');
            if (!is_admin()) wp_die('You are not an administrator.');
            $amp_option = get_option('amps');
            foreach($amps as $key=>$value) {
	            $amp_option[sanitize_text_field($key)] = sanitize_text_field($value);
            }
            update_option('amps', $amp_option);
        }
        /** GENERAL ---------------------------------------------------------------------------- */
	}

}